#ifndef LICENSEMANAGER_DROPFILEWIDGET_H
#define LICENSEMANAGER_DROPFILEWIDGET_H

// Qt
#include <QWidget>
class QLabel;

class DropFileWidget : public QWidget {
    Q_OBJECT
public:
    explicit DropFileWidget(QWidget *parent = nullptr);
signals:
    void filesDropped(const QStringList &paths);
protected:
    void dragEnterEvent(QDragEnterEvent *e) override;
    void dragMoveEvent(QDragMoveEvent *e) override;
    void dropEvent(QDropEvent *e) override;
    void mousePressEvent(QMouseEvent *e) override;
private:
    void selectFiles();
};

#endif //LICENSEMANAGER_DROPFILEWIDGET_H
